package designer;

import java.awt.BorderLayout;
import java.awt.FlowLayout;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JCheckBox;

public class dialog extends JDialog {

	private final JPanel contentPanel = new JPanel();
	private JTextField textField;
	private JTextField textField_1;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		try {
			dialog dialog = new dialog();
			dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
			dialog.setVisible(true);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	/**
	 * Create the dialog.
	 */
	public dialog() 
	{
		getContentPane().setLayout(null);
		
		JLabel lblNewLabel = new JLabel("State name :");
		lblNewLabel.setBounds(27, 24, 85, 14);
		getContentPane().add(lblNewLabel);
		
		textField = new JTextField();
		textField.setBounds(117, 21, 86, 20);
		getContentPane().add(textField);
		textField.setColumns(10);
		
		JPanel panel = new JPanel();
		panel.setBounds(37, 28, 10, 10);
		getContentPane().add(panel);
		
		JLabel lblStateColor = new JLabel("State equation :");
		lblStateColor.setBounds(27, 58, 85, 14);
		getContentPane().add(lblStateColor);
		
		
		
		
		JLabel lblTextColor = new JLabel("Text color :");
		lblTextColor.setBounds(27, 134, 85, 14);
		getContentPane().add(lblTextColor);
		
		JLabel lbl_StateColor = new JLabel("State color  :");
		lbl_StateColor.setBounds(27, 109, 85, 14);
		getContentPane().add(lbl_StateColor);
		
		
		

		
		
		
		
		JPanel panel_state_color = new JPanel();
		panel_state_color.setBounds(37, 28, 10, 10);
		getContentPane().add(panel_state_color);
		
		textField_1 = new JTextField();
		textField_1.setColumns(10);
		textField_1.setBounds(117, 55, 86, 20);
		getContentPane().add(textField_1);
		
		JCheckBox chckbxNewCheckBox = new JCheckBox(" Visible :");
		chckbxNewCheckBox.setBounds(223, 20, 97, 23);
		getContentPane().add(chckbxNewCheckBox);
		
		/*
		setBounds(100, 100, 450, 300);
		getContentPane().setLayout(new BorderLayout());
		contentPanel.setLayout(new FlowLayout());
		contentPanel.setBorder(new EmptyBorder(5, 5, 5, 5));
		getContentPane().add(contentPanel, BorderLayout.CENTER);
		{
			JPanel buttonPane = new JPanel();
			buttonPane.setLayout(new FlowLayout(FlowLayout.RIGHT));
			getContentPane().add(buttonPane, BorderLayout.SOUTH);
			{
				JButton okButton = new JButton("OK");
				okButton.setActionCommand("OK");
				buttonPane.add(okButton);
				getRootPane().setDefaultButton(okButton);
			}
			{
				JButton cancelButton = new JButton("Cancel");
				cancelButton.setActionCommand("Cancel");
				buttonPane.add(cancelButton);
			}
		}
		*/
		
		
	}
}
